Name:          mdadm
Version:       3.3.2
Release:       2mamba
Summary:       A tool to manage MD devices aka Linux Software RAID
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://neil.brown.name/blog/mdadm
Source:        http://www.kernel.org/pub/linux/utils/raid/mdadm/mdadm-%{version}.tar.xz
Patch0:        mdadm-3.3.1-gcc-4.9.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
%systemd_requires
Provides:      mdadm-static
Obsoletes:     mdadm-static

%description
mdadm is a program that can be used to create, manage, and monitor Linux MD (Software RAID) devices.
As such is provides similar functionality to the raidtools packages.
The particular differences to raidtools is that mdadm is a single program, and it can perform (almost) all functions without a configuration file (that a config file can be used to help with some common tasks).

#%package static
#Group:         System/Kernel and Hardware
#Summary:       A tool to manage MD devices aka Linux Software RAID (static binary)
#
#%description static
#A tool to manage MD devices aka Linux Software RAID (static binary).

%prep
%setup -q
%patch0 -p1

%build
%make

#%make mdadm.static

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall install-systemd \
   BINDIR=/sbin

install -D -m 644 %{name}.conf-example \
   %{buildroot}%{_sysconfdir}/%{name}.conf

#install -D -m 644 %{name}.static \
#   %{buildroot}%{_sbindir}/%{name}.static

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config(noreplace,missingok)/%{_sysconfdir}/mdadm.conf
/sbin/%{name}
/sbin/mdmon
/lib/udev/rules.d/63-md-raid-arrays.rules
/lib/udev/rules.d/64-md-raid-assembly.rules
/lib/systemd/system-shutdown/mdadm.shutdown
%{_unitdir}/mdadm-grow-continue@.service
%{_unitdir}/mdadm-last-resort@.service
%{_unitdir}/mdadm-last-resort@.timer
%{_unitdir}/mdmon@.service
%{_unitdir}/mdmonitor.service
%{_mandir}/man4/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%doc COPYING
# ChangeLog README.initramfs TODO

#%files static
#%defattr(-,root,root)
#%{_sbindir}/%{name}.static

%changelog
* Tue Jun 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.2-2mamba
- install systemd scripts

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic update by autodist

* Tue Jun 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.1-1mamba
- update to 3.3.1

* Fri Sep 06 2013 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic update by autodist

* Sat Oct 27 2012 Automatic Build System <autodist@mambasoft.it> 3.2.6-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 3.2.5-1mamba
- automatic version update by autodist

* Thu May 10 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 3.2.4-1mamba
- update to 3.2.4

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic update by autodist

* Thu Apr 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-2mamba
- install mdadm and mdmon in /sbin as expected by dracut
- disable static package build

* Thu Mar 31 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic update by autodist

* Sat Feb 05 2011 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic update by autodist

* Fri Oct 01 2010 Automatic Build System <autodist@mambasoft.it> 3.1.4-1mamba
- automatic update by autodist

* Sun Aug 08 2010 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- automatic update by autodist

* Tue Apr 27 2010 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic update by autodist

* Tue Jan 26 2010 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic update by autodist

* Tue Oct 27 2009 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic update by autodist

* Wed Sep 30 2009 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic update by autodist

* Thu Jun 18 2009 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic update by autodist

* Mon Apr 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.9-1mamba
- update to 2.6.9
- added static subpackage containing static mdadm binary

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.7-1mamba
- automatic update by autodist

* Fri Nov 09 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.6.4-1mamba
- package created by autospec
